Quassel IRC - Feature #794

Search 'More...'
08/31/2009 12:04 PM - CdrSharky

Status: Confirmed Start date: 08/31/2009
Priority: Normal Due date:

Assignee: % Done: 0%
Category: Quassel Client Estimated time: 0.00 hour

Target version:

0S: Any

Description

When using the inline search feature, would it be possible to implement something that essentially does the same as scrolling up to
the top of the current buffer, in order to download x more lines from the quassel core, in order to search more of the history? IE, if
there are no results, it shows a 'More..." button, downloads, say, 500 more messages from the DB, and searches them as well.

Related issues:
Related to Quassel IRC - Feature #258: Please make backlog searchable from cl... Confirmed

History

#1 - 09/11/2009 01:06 AM - Sputnick
- Target version deleted (0.5.0)

#2 - 06/22/2014 02:31 PM - seezer
- Category changed from Usability to Quassel Client
- Status changed from New to Assigned

- Assignee set to seezer

It's acutally already implemented. You only have to be lucky enough to trigger it. If a search highlights an item inside the top 20% percent of the view,
a backlog fetch is triggered.

Updating of those items is a little buggy in master. If fixed one would only have to connect the "next/prev item" buttons with "request backlog".
probably conditionally..

#3 - 05/30/2015 01:42 PM - seezer
- Status changed from Assigned to Confirmed

- Assignee deleted (seezer)

#4 - 05/30/2015 01:42 PM - seezer

- Related to Feature #258: Please make backlog searchable from client added
